[SCM] Samba Shared Repository - branch master updated - release-4-0-0alpha7-1440-gb58abb2

Simo Sorce idra at samba.org
Tue May 5 13:49:45 GMT 2009


The branch, master has been updated
       via  b58abb262c33dd5cd9cfb3397333c0c1f5e91592 (commit)
      from  290449aeae950d7490cdcf9d601052fc45bb84dd (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit b58abb262c33dd5cd9cfb3397333c0c1f5e91592
Author: Simo Sorce <idra at samba.org>
Date:   Tue May 5 09:50:19 2009 -0400

    Add release scripts for talloc and tdb

-----------------------------------------------------------------------

Summary of changes:
 lib/talloc/release-script.sh |   45 ++++++++++++++++++++++++++++++++++++++++++
 lib/tdb/release-script.sh    |   45 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+), 0 deletions(-)
 create mode 100755 lib/talloc/release-script.sh
 create mode 100755 lib/tdb/release-script.sh


Changeset truncated at 500 lines:

diff --git a/lib/talloc/release-script.sh b/lib/talloc/release-script.sh
new file mode 100755
index 0000000..7ec47b7
--- /dev/null
+++ b/lib/talloc/release-script.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+if [ "$1" = "" ]; then
+    echo "Please provide version string, eg: 1.2.0"
+    exit 1
+fi
+
+if [ ! -d "lib/talloc" ]; then
+    echo "Run this script from the samba base directory."
+    exit 1
+fi
+
+curbranch=`git-branch |grep "^*" | tr -d "* "`
+
+version=$1
+strver=`echo ${version} | tr "." "-"`
+
+# Checkout the release tag
+git branch -f talloc-release-script-${strver} talloc-${strver}
+if [ ! "$?" = "0" ];  then
+    echo "Unable to checkout talloc-${strver} release"
+    exit 1
+fi
+
+git checkout talloc-release-script-${strver}
+
+# Test configure agrees with us
+confver=`grep "^AC_INIT" lib/talloc/configure.ac | tr -d "AC_INIT(talloc, " | tr -d ")"`
+if [ ! "$confver" = "$version" ]; then
+    echo "Wrong version, requested release for ${version}, found ${confver}"
+    exit 1
+fi
+
+# Now build tarball
+cp -a lib/talloc talloc-${version}
+cp -a lib/replace talloc-${version}/libreplace
+pushd talloc-${version}
+./autogen.sh
+popd
+tar cvzf talloc-${version}.tar.gz talloc-${version}
+rm -fr talloc-${version}
+
+#Clean up
+git checkout $curbranch
+git branch -d talloc-release-script-${strver}
diff --git a/lib/tdb/release-script.sh b/lib/tdb/release-script.sh
new file mode 100755
index 0000000..95d4238
--- /dev/null
+++ b/lib/tdb/release-script.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+if [ "$1" = "" ]; then
+    echo "Please provide version string, eg: 1.2.0"
+    exit 1
+fi
+
+if [ ! -d "lib/tdb" ]; then
+    echo "Run this script from the samba base directory."
+    exit 1
+fi
+
+curbranch=`git-branch |grep "^*" | tr -d "* "`
+
+version=$1
+strver=`echo ${version} | tr "." "-"`
+
+# Checkout the release tag
+git branch -f tdb-release-script-${strver} tdb-${strver}
+if [ ! "$?" = "0" ];  then
+    echo "Unable to checkout tdb-${strver} release"
+    exit 1
+fi
+
+git checkout tdb-release-script-${strver}
+
+# Test configure agrees with us
+confver=`grep "^AC_INIT" lib/tdb/configure.ac | tr -d "AC_INIT(tdb, " | tr -d ")"`
+if [ ! "$confver" = "$version" ]; then
+    echo "Wrong version, requested release for ${version}, found ${confver}"
+    exit 1
+fi
+
+# Now build tarball
+cp -a lib/tdb tdb-${version}
+cp -a lib/replace tdb-${version}/libreplace
+pushd tdb-${version}
+./autogen.sh
+popd
+tar cvzf tdb-${version}.tar.gz tdb-${version}
+rm -fr tdb-${version}
+
+#Clean up
+git checkout $curbranch
+git branch -d tdb-release-script-${strver}


-- 
Samba Shared Repository


More information about the samba-cvs mailing list